Bug 60795 - RFE - please relocate mfapi.h to /usr/include/libmilter
RFE - please relocate mfapi.h to /usr/include/libmilter
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-03-06 15:57 EST by R P Herrold
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-06 15:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-03-06 15:57:43 EST

libmilter headers are dumped in /usr/include/mfapi.h

rather than placed into /usr/include/libmilter/mfapi.h

I think there are three edits needed.


The version cited has just dumpted them into the first stated location -- for
clarity of devel libraries, and to conform to the more customary RH practice --
see: ls -al  /usr/include | grep drw  , and to support, eg, 

I ask that it be located at /usr/include/libmilter/


   131 mkdir -p usr/bin usr/include/libmilter ...
[ - that is, make the deeper destination directory]


and just before   226  %clean

add:    mv usr/include/mfapi.h  usr/include/libmilter


and change: 

   360  %files devel
   361  %defattr(-,root,root)
   362  /usr/include/*.h
   362  /usr/include/libmilter/*.h
Comment 1 Florian La Roche 2002-03-09 08:21:35 EST
Fixed in 8.12.2-6


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.